"""This module holds the test cases for the utils of the ``workshops`` app"""

from ..utils import export_workshop_stat_raw

from .test_cases import WorkshopTestCase


class WorkshopExportStatsTestCase(WorkshopTestCase):
    """Test cases for the workshops stats utils methods"""

    def setUp(self):
        """Set up the method data"""

        super().setUp()

        # Record some workshop answers
        self.add_user_answers(answers=self.workshop_question_mc.answers.all())

    def test_export_workshop_stat_raw_should_work(self):
        """Test that the ``export_workshop_stat_raw`` method work"""

        self.assertIsNotNone(
            export_workshop_stat_raw(self.training_session)
        )
